Error testing LDAP connection docker quickstart

Hi, I’m just testing for the very first time the outgoing LDAP connection, and when I ping the connection from the web dashboard I get this error:

  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/bunch/__init__.py", line 123, in __getattr__
    return object.__getattribute__(self, k)
AttributeError: 'Bunch' object has no attribute 'conn'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/bunch/__init__.py", line 126, in __getattr__
    return self[k]
KeyError: 'conn'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/zato/3.2.0/code/zato-server/src/zato/server/service/internal/generic/connection.py", line 367, in handle
    ping_func(self.request.input.id)
  File "/opt/zato/3.2.0/code/zato-server/src/zato/server/base/worker/generic.py", line 182, in ping_generic_connection
    conn_dict.conn.ping()
  File "/opt/zato/3.2.0/code/lib/python3.8/site-packages/bunch/__init__.py", line 128, in __getattr__
    raise AttributeError(k)
AttributeError: conn

Thank you.

Hello @oggers,

please post your full code as well as the definition of the LDAP connection.

Regards.

Then when I click ping I get:

It’s just the configuration:

Hello @oggers,

I am just writing to let you know that I am quite busy with ongoing projects and I have not had time yet to investigate this matter deeper.

I hope that at the beginning of the next week I should be able to look into it.

Thank you for your understanding.

Hello @oggers,

I was able to look into it earlier and I pushed a commit to deal with this case.

Can you please install the latest updates per the instructions here and confirm it?

https://zato.io/docs/admin/guide/install/update.html

Thank you.

Hello @dsuch,

After upgrading following your instructions, the error changed to this:

Traceback (most recent call last):
  File "/opt/zato/3.2.0/code/zato-server/src/zato/server/service/internal/generic/connection.py", line 367, in handle
    ping_func(self.request.input.id)
  File "/opt/zato/3.2.0/code/zato-server/src/zato/server/base/worker/generic.py", line 182, in ping_generic_connection
    conn = conn_dict['conn']
KeyError: 'conn'

I cannot reproduce it, what is the output from zato --version?

/opt/zato/current# bin/zato --version
Zato 3.2+rev.b8716116-py3.8.10-ubuntu.20.04-focal